summaryrefslogtreecommitdiff
path: root/package/pcsc-lite/files
diff options
context:
space:
mode:
Diffstat (limited to 'package/pcsc-lite/files')
-rw-r--r--package/pcsc-lite/files/pcscd.init27
-rw-r--r--package/pcsc-lite/files/pcscd.postinst3
-rw-r--r--package/pcsc-lite/files/reader.conf16
3 files changed, 46 insertions, 0 deletions
diff --git a/package/pcsc-lite/files/pcscd.init b/package/pcsc-lite/files/pcscd.init
new file mode 100644
index 000000000..557762eca
--- /dev/null
+++ b/package/pcsc-lite/files/pcscd.init
@@ -0,0 +1,27 @@
+#!/bin/sh
+#PKG pcscd
+#INIT 80
+
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"${pcscd:-NO}" = x"NO" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ pcscd
+ ;;
+stop)
+ pkill pcscd
+ ;;
+restart)
+ sh $0 stop
+ sh $0 start
+ ;;
+*)
+ echo "usage: $0 {start | stop | restart}"
+ ;;
+esac
+exit $?
diff --git a/package/pcsc-lite/files/pcscd.postinst b/package/pcsc-lite/files/pcscd.postinst
new file mode 100644
index 000000000..1b27f479d
--- /dev/null
+++ b/package/pcsc-lite/files/pcscd.postinst
@@ -0,0 +1,3 @@
+#!/bin/sh
+. $IPKG_INSTROOT/etc/functions.sh
+add_rcconf pcscd pcscd NO
diff --git a/package/pcsc-lite/files/reader.conf b/package/pcsc-lite/files/reader.conf
new file mode 100644
index 000000000..f56f290fb
--- /dev/null
+++ b/package/pcsc-lite/files/reader.conf
@@ -0,0 +1,16 @@
+# FRIENDLYNAME Any name
+# DEVICENAME device filename used by the reader:
+# /dev/ttyS0 for the first serial port
+# or /dev/null if this is not used by the driver
+# LIBPATH Location of the driver library for your reader
+# CHANNELID
+# 0x0103F8 or 1 for /dev/ttyS0 (COM1)
+# 0x0102F8 or 2 for /dev/ttyS1 (COM2)
+# 0x0103E8 or 3 for /dev/ttyS2 (COM3)
+# 0x0102E8 or 4 for /dev/ttyS3 (COM4)
+#
+
+FRIENDLYNAME "GemPCTwin serial"
+DEVICENAME /dev/ttyS0
+LIBPATH /usr/pcsc/drivers/serial/libccidtwin.so
+CHANNELID 0